glibmm 2.78.1

Public Member Functions | List of all members
Glib::DBusHandle Class Reference
Variant Data Types

Class for D-Bus handles in Glib::Variant. More...

`#include <glibmm/variantdbusstring.h>`

## Public Member Functions
| DBusHandle (gint32 value=0)
| operator gint32 () const
DBusHandle & | operator= (gint32 i)

## Detailed Description

Class for D-Bus handles in Glib::Variant.

Use it if you want to create a Glib::Variant with a D-Bus handle.

auto variant = Glib::Variant<Glib::DBusHandle>::create(2);
Glib::Variant
Template class used for the specialization of the Variant<> classes.
Definition variant.h:932

A DBusHandle can be implicitly converted to and from a gint32.

Since glibmm 2.78

## Constructor & Destructor Documentation

## ◆ DBusHandle()

Glib::DBusHandle::DBusHandle | ( | gint32 | value = 0 | ) |
| inline

## Member Function Documentation

## ◆ operator gint32()

Glib::DBusHandle::operator gint32 | ( |  | ) | const
| inline

## ◆ operator=()

DBusHandle & Glib::DBusHandle::operator= | ( | gint32 | i | ) |
| inline